Skip to main content

Get branch

GET{{server}}/api/v1/dispenser/branch

This request return the branch entity by the device.

Request​

Authorization​

HeaderValue
AuthorizationApikey {{dispenserApikey}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}

Code snippets​

curl -X GET '{{server}}/api/v1/dispenser/branch' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'

Example​

Example request
GET{{server}}/api/v1/dispenser/branch
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length1235
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"type": 3,
"key": "00000000-0000-4000-0003-000000000001",
"name": "Default",
"shortName": "DEFAULT",
"defaultLang": "00000000-0000-4000-0004-000000000001",
"timeZone": "Europe/Budapest",
"features": {
"appointment": false,
"waitingArea": false,
"waitingAreaPremium": false,
"voiceRecording": false,
"smartTicket": false,
"feedback": false,
"customerName": false
},
"address": {
"country": "Magyarország",
"zip": "1112",
"city": "Budapest",
"street": "Péterhegyi út",
"number": "51/b",
"latitude": 47.448782,
"longitude": 19.01472
},
"languages": [
"00000000-0000-4000-0004-000000000001"
],
"services": [
"00000000-0000-4000-0007-000000000001",
"00000000-0000-4000-0007-000000000002",
"00000000-0000-4000-0007-000000000003",
"00000000-0000-4000-0007-000000000004",
"00000000-0000-4000-0007-000000000005",
"00000000-0000-4000-0007-000000000006"
],
"dispenserProfiles": [
"00000000-0000-4000-0008-000000000001"
],
"feedbackProfiles": [
"00000000-0000-4000-0016-000000000001"
],
"openingHours": [
{
"profile": "1",
"day": 1,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 2,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 3,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 4,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 5,
"start": "0000",
"end": "2400"
}
],
"status": 1,
"aspect": null,
"time": 1746604935452
}